#!/bin/sh
###############################################################################
#
#  Licensed Materials - Property of IBM
#
#  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
#
#  US Government Users Restricted Rights - Use, duplication or
#  disclosure restricted by GSA ADP Schedule Contract with
#  IBM Corp.
#
#  File Information: %W%
#  Revision: %I%
#  Date: %G% %U%
#
###############################################################################

###############################################################################
# Returns a more descriptive message about an Error
# To call: itm_error_hint $1;
#   $1: Error return code
###############################################################################
itm_error_hint() 
{

return_code=$1;

case $return_code in
  1)
    echo "          Only root and TMR authorized Administrators"
    echo "          can run this script. Log in again with the proper"
    echo "          identity before running this script again. Also"
    echo "          ensure that the Tivoli environment is properly set."
  ;;
  2)
    echo "          The Analysis script was unable to locate required"
    echo "          Tivoli database objects and properties."
    echo "          Please, ensure you have a working Tivoli FWK on"
    echo "          the Managed Node where you are running the script."
  ;;
  3)
    echo "          The Warehouse Component requires at least a RIM"
    echo "          Object to upload data into a central repository."
    echo "          Please, create a valid RIM Object and run again"
    echo "          the this script to continue the analysis." 
  ;;    
  4)
    echo "          Maybe you have selected an invalid option number."
    echo "          Rerun the script and pick up one of the proposed"
    echo "          choices for the RIM Object."    
  ;;  
  5)
    echo "          The attempt to connect to the ITM Database using"
    echo "          the specified RIM Object has failed."
    echo "          Please, ensure that you can reach the ITM database"
    echo "          using the tools provided by your RDBMS Vendor."
  ;;
  6)
    echo "          The selected RIM Object does not match the RIM Object"
    echo "          specified into the Managed Node Configuration file."
    echo "          Use the wdmconfig tool to change the rim_name property"
    echo "          or rerun this script and select a valid RIM Object"
    echo "          when prompted."
  ;;
  *)
  ;;
esac

return 0
}

###############################################################################
# Returns a more descriptive message about a Warning
# To call: itm_warning_hint $1
#   $1: Warning return code
###############################################################################
itm_warning_hint() 
{
return_code=$1;

case $return_code in
  100)
    echo "                     "
    echo "                     "
  ;;
esac

return 0
}

