--
-- NOTE: this script is executed by the execsql processor, 
-- using the ODBC alias specified in the configuration file.
--
-- The following query returns a snapshot of the most recent
-- data loaded into the ITM database (only the AVG values for
-- the last hourare considered); you can pick more data changing 
-- the last condition of the WHERE clause, i.e. subtrcting a 
-- different amount of seconds from the MAX(TIMEKEY) value.
--
SELECT 
 SUBSTR(E.HOST_NAME,1,40)       AS HOST_NAME,
 SUBSTR(RM.CATEGORY,1,30)       AS CATEGORY,
 SUBSTR(RM.RESOURCE_MODEL,1,30) AS RESOURCE_MODEL,
 SUBSTR(R.RESOURC,1,30)          AS RESOURCE,
 SUBSTR(M.NAME,1,30)             AS METRIC_NAME,
 SUBSTR(I.INSTANCE_KEY,1,100)   AS INSTANCE_KEY,
 MD.METRICVALUE                 AS METRICVALUE,
 MD.TIMEKEY_DTTM                AS TIMEKEY_DTTM
FROM 
 ENDPOINTS E, RMPROFILES RM, RESOURCES R, 
 METRICS M, INSTANCES I, METRICSDATA MD
WHERE 
 E.EID = RM.EID AND
 RM.ID = R.ID AND
 R.RCID = M.RCID AND
 M.MID = MD.MID AND
 R.RCID = I.RCID AND
 I.IID = MD.IID AND
 M.STAT = 'AVG' AND
 MD.TIMEKEY >= (SELECT MAX(TIMEKEY)-3600 FROM METRICSDATA)
;

